Name:          sweethome3d
Version:       7.4
Release:       1mamba
Summary:       An interior design application to draw the plan of your house in a 3D environment
Group:         Graphical Desktop/Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.sweethome3d.com
Source:        https://downloads.sourceforge.net/sweethome3d/SweetHome3D-%{version}-src.zip
Source1:       sweethome3d.desktop
Source2:       sweethome3d.sh
Source3:       sweethome3d.xml
License:       GPL, Custom
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: java-openjdk11-runtime
BuildRequires: java-openjdk8-runtime
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libglvnd-devel
BuildRequires: libnsl-devel
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: apache-ant
Requires:      java-openjdk11-runtime

%description
An interior design application to draw the plan of your house in a 3D environment.

%debug_package

%prep
%setup -q -n SweetHome3D-%{version}-src

%build
ant application textures furniture examples help java3dLibraries

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# Desktop and launchers
install -m 755 -D %{SOURCE2} %{buildroot}%{_bindir}/%{name}
install -m 755 -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 -D %{SOURCE3} %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# Install icon
install -m 644 -D deploy/SweetHome3DIcon48x48.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# Install main program and libraries
install -m 755 -d %{buildroot}%{_javadir}/%{name}
install -m 644 -t %{buildroot}%{_javadir}/%{name} build/*.jar
install -m 644 -t %{buildroot}%{_javadir}/%{name} libtest/jnlp.jar
cd lib
install -m 644 -t %{buildroot}%{_datadir}/java/%{name} *.jar

# Java3D 1.5 libraries
install -m 755 -d %{buildroot}%{_prefix}/lib/%{name}/java3d-1.5
mv -t %{buildroot}%{_prefix}/lib/%{name}/java3d-1.5 \
    %{buildroot}%{_javadir}/%{name}/{j3dcore.jar,j3dutils.jar,vecmath.jar}
install -m 755 -t %{buildroot}%{_prefix}/lib/%{name}/java3d-1.5 linux/x64/libj3dcore-ogl.so

# Java3D 1.6 libraries
install -m 755 -d %{buildroot}%{_prefix}/lib/%{name}/java3d-1.6
install -m 644 -t %{buildroot}%{_prefix}/lib/%{name}/java3d-1.6 java3d-1.6/*.jar
install -m 755 -t %{buildroot}%{_prefix}/lib/%{name}/java3d-1.6 java3d-1.6/linux/amd64/*.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/sweethome3d
%dir %{_prefix}/lib/sweethome3d
%dir %{_prefix}/lib/sweethome3d/java3d-1.5
%{_prefix}/lib/sweethome3d/java3d-1.5/*
%dir %{_prefix}/lib/sweethome3d/java3d-1.6
%{_prefix}/lib/sweethome3d/java3d-1.6/*
%{_datadir}/applications/sweethome3d.desktop
%dir %{_datadir}/java/sweethome3d
%{_datadir}/java/sweethome3d/*
%{_datadir}/mime/packages/sweethome3d.xml
%{_datadir}/pixmaps/sweethome3d.png
%doc COPYING.TXT LICENSE.TXT THIRDPARTY-LICENSE-*

%changelog
* Fri May 31 2024 Automatic Build System <autodist@openmamba.org> 7.4-1mamba
- automatic version update by autodist

* Sun Apr 07 2024 Automatic Build System <autodist@openmamba.org> 7.3-1mamba
- automatic version update by autodist

* Sat Sep 23 2023 Automatic Build System <autodist@mambasoft.it> 7.2-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 7.1-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-1mamba
- package created using the webbuild interface
